{
  "name": "llotteryfront",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev --port 3800 -H 0.0.0.0",
    "build": "next build && cp -r .next/static .next/standalone/.next/static && cp -r public .next/standalone/public && echo '✅ standalone 静态资源已复制完毕'",
    "start": "next start --port 3800",
    "lint": "eslint"
  },
  "dependencies": {
    "@base-ui/react": "^1.4.1",
    "axios": "^1.16.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "date-fns": "^4.1.0",
    "dompurify": "^3.4.7",
    "i18next": "^26.1.0",
    "i18next-browser-languagedetector": "^8.2.1",
    "i18next-http-backend": "^4.0.0",
    "laravel-echo": "^2.3.4",
    "lucide-react": "^1.14.0",
    "next": "16.2.6",
    "next-themes": "^0.4.6",
    "pusher-js": "^8.5.0",
    "react": "19.2.4",
    "react-day-picker": "^10.0.0",
    "react-dom": "19.2.4",
    "react-i18next": "^17.0.7",
    "sonner": "^2.0.7",
    "swr": "^2.4.1",
    "tailwind-merge": "^3.5.0",
    "tw-animate-css": "^1.4.0",
    "zustand": "^5.0.13"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4",
    "@types/dompurify": "^3.2.0",
    "@types/node": "^20",
    "@types/react": "^19",
    "@types/react-dom": "^19",
    "babel-plugin-react-compiler": "1.0.0",
    "eslint": "^9",
    "eslint-config-next": "16.2.6",
    "shadcn": "^4.7.0",
    "tailwindcss": "^4",
    "typescript": "^5"
  }
}
